let amogus = ['127.0.0.1', '1', '192.168.1.254']
export default async function handle(REQ, RES) {
    // Check if IP matches with the local IP
    // if(!amogus.includes(REQ.socket.remoteAddress.split('::ffff:')[1])) {
    //     return RES.status(403).send('Forbidden. IP: '+REQ.socket.remoteAddress.split('::ffff:')[1]+'; Your IP in no way is logged!');
    // }
    if(!/^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ .,/?;:'\[\]\{\}\\<>\-_+=*!#$0123456789\^]*$/.test(""+REQ?.body?.text)) return RES.status(400).send("The message you were trying to send contains disallowed symbols!");
    let RESPONSE = await fetch(process.env.WEBHOOK, {
        method: "POST",
        headers: {
            "Content-Type": "application/json"
        },
        body: JSON.stringify({
            username: "TheRed.SH / User Feedback",
            content: REQ?.body?.text ?? "The request that was sent was an illegal request!",
            avatar_url: "https://cdn.discordapp.com/avatars/574110505254256640/049c51674d7ccd748ca123556d351da5.webp?size=1024"
        })
    })
    if(RESPONSE.ok) {
        RES.status(200).send("Your message has been successfully sent!");
        await RESPONSE.text().then(i => console.log(i));

    } else {
        RES.status(500).send("Error! The message has failed to send!");
        await RESPONSE.text().then(i => console.log(i));
    }
}
